﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using igGridMasterDetail.Models;

namespace igGridMasterDetail.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            var viewModel = new CustomersViewModel
            {
                //IEnumerable of Customer Objects
                Customers = GetCustomers(),

            };
            return View(viewModel);
        }
        
        private IEnumerable<Customer> GetCustomers()
        {
            return new List<Customer>
            {
                new Customer { ID="ALFKI", CompanyName="Alfreds Futterkiste", ContactName="Maria Anders", ContactTitle="Sales Representative" },
                new Customer { ID="ANATR", CompanyName="Ana Trujillo Emparedados y helados", ContactName="Ana Trujillo", ContactTitle="Owner" },
                new Customer { ID="ANTON", CompanyName="Antonio Moreno Taquería", ContactName="Antonio Moreno", ContactTitle="Owner" },
                new Customer { ID="AROUT", CompanyName="Around the Horn", ContactName="Thomas Hardy", ContactTitle="Sales Representative" }
            };
        }

        [HttpGet]
        public ActionResult GetOrders(string customerid)
        {
            
            IEnumerable<Order> cities = Orders().Where(x => x.CustomerID == customerid).AsQueryable();
            return Json(cities, JsonRequestBehavior.AllowGet);
        }
        private IEnumerable<Order> Orders()
        {
            return new List<Order>
            {
                new Order { OrderID = 10643, CustomerID = "ALFKI", ShipperName = "Speedy Express", TotalPrice = 1086.0000, TotalItems = 38 },
                new Order { OrderID = 10692, CustomerID = "ALFKI", ShipperName = "United Package", TotalPrice = 878.0000, TotalItems = 20 },
                new Order { OrderID = 10702, CustomerID = "ALFKI", ShipperName = "Speedy Express", TotalPrice = 330.0000, TotalItems = 21 },
                new Order { OrderID = 10835, CustomerID = "ALFKI", ShipperName = "Federal Shipping", TotalPrice = 851.0000, TotalItems = 17 },
                new Order { OrderID = 10952, CustomerID = "ALFKI", ShipperName = "Speedy Express", TotalPrice = 491.2000, TotalItems = 18 },
                new Order { OrderID = 10308, CustomerID = "ANATR", ShipperName = "Federal Shipping", TotalPrice = 88.8000, TotalItems = 6 },
                new Order { OrderID = 10625, CustomerID = "ANATR", ShipperName = "Speedy Express", TotalPrice = 479.7500, TotalItems = 18 },
                new Order { OrderID = 10759, CustomerID = "ANATR", ShipperName = "Federal Shipping", TotalPrice = 320.0000, TotalItems = 10 },
                new Order { OrderID = 10926, CustomerID = "ANATR", ShipperName = "Federal Shipping", TotalPrice = 514.4000, TotalItems = 29 },
                new Order { OrderID = 10365, CustomerID = "ANTON", ShipperName = "United Package", TotalPrice = 403.2000, TotalItems = 24 },
                new Order { OrderID = 10507, CustomerID = "ANTON", ShipperName = "Speedy Express", TotalPrice = 881.2500, TotalItems = 30 },
                new Order { OrderID = 10535, CustomerID = "ANTON", ShipperName = "Speedy Express", TotalPrice = 2156.5000, TotalItems = 80 },
                new Order { OrderID = 10573, CustomerID = "ANTON", ShipperName = "Federal Shipping", TotalPrice = 2082.0000, TotalItems = 83 },
                new Order { OrderID = 10677, CustomerID = "ANTON", ShipperName = "Federal Shipping", TotalPrice = 956.9000, TotalItems = 38 },
                new Order { OrderID = 10355, CustomerID = "AROUT", ShipperName = "Speedy Express", TotalPrice = 480.0000, TotalItems = 50 },
                new Order { OrderID = 10383, CustomerID = "AROUT", ShipperName = "Federal Shipping", TotalPrice = 899.0000, TotalItems = 55 },
                new Order { OrderID = 10453, CustomerID = "AROUT", ShipperName = "United Package", TotalPrice = 453.0000, TotalItems = 40 },
                new Order { OrderID = 10558, CustomerID = "AROUT", ShipperName = "United Package", TotalPrice = 2142.9000, TotalItems = 96 }
            };
        }
    }
}